#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x5deb5cab, "struct_module" },
	{ 0x2d2448c1, "usbnet_resume" },
	{ 0xf0685077, "usbnet_suspend" },
	{ 0x9adf8a3f, "usbnet_disconnect" },
	{ 0x819d795f, "usbnet_probe" },
	{ 0x51c386ff, "usbnet_nway_reset" },
	{ 0xc904e315, "usbnet_set_msglevel" },
	{ 0x409f0565, "usbnet_get_msglevel" },
	{ 0x2d5bcc7e, "usbnet_set_settings" },
	{ 0x46ae0c97, "usbnet_get_settings" },
	{ 0x4da2ba79, "usb_register_driver" },
	{ 0x2e6f5e5c, "usb_deregister" },
	{ 0x680c80b5, "netif_carrier_off" },
	{ 0x5cbb3413, "usbnet_defer_kevent" },
	{ 0xfacdab8b, "netif_carrier_on" },
	{ 0x6f7dfd25, "usbnet_unlink_rx_urbs" },
	{ 0x9aba0b1a, "usbnet_skb_return" },
	{ 0x524dcac2, "skb_clone" },
	{ 0x57979cbf, "skb_pull" },
	{ 0x1ebfb4e5, "skb_put" },
	{ 0x49d911d7, "skb_push" },
	{ 0x1d8ce887, "dev_kfree_skb_any" },
	{ 0xf4f3e55b, "skb_copy_expand" },
	{ 0xa3a5be95, "memmove" },
	{ 0xf71f1891, "mii_nway_restart" },
	{ 0xb679c511, "usbnet_get_endpoints" },
	{ 0x577cc638, "mutex_unlock" },
	{ 0x8aaf8654, "mutex_lock" },
	{ 0x8f37972c, "generic_mii_ioctl" },
	{ 0xfaf98462, "bitrev32" },
	{ 0x92ea4ae4, "crc32_le" },
	{ 0x6677e4e9, "usb_submit_urb" },
	{ 0xbabb5f5e, "kmem_cache_alloc" },
	{ 0xcfb4fbe2, "malloc_sizes" },
	{ 0x903d9a34, "usb_alloc_urb" },
	{ 0x930d0415, "usb_free_urb" },
	{ 0x7ec9bfbc, "strncpy" },
	{ 0x319c1cc6, "usbnet_get_drvinfo" },
	{ 0xeea80c78, "mii_link_ok" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe8e934ff, "mii_ethtool_gset" },
	{ 0x6cc255cf, "mii_check_media" },
	{ 0xea147363, "printk" },
	{ 0x37a0cba, "kfree" },
	{ 0xd139de09, "usb_control_msg" },
	{ 0x5a34a45c, "__kmalloc" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore,mii";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "1AC22455CDD31C43C20174E");
